unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
* [PATCH 1/2] test: check for debug symbols in notmuch
@ 2014-10-03 20:22 David Bremner
  2014-10-03 20:22 ` [PATCH 2/2] configure: add debug flags by default David Bremner
  2014-10-03 20:49 ` [PATCH 1/2] test: check for debug symbols in notmuch Tomi Ollila
  0 siblings, 2 replies; 4+ messages in thread
From: David Bremner @ 2014-10-03 20:22 UTC (permalink / raw)
  To: notmuch

In the future, tests may rely on debug symbols being present in
notmuch, so we plan to switch the default flags.

The main purpose of this test is to help explain the perhaps
mysterious failures of other tests which rely on symbols being
present.
---
 test/T000-basic.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/test/T000-basic.sh b/test/T000-basic.sh
index ebbb6d2..bf08f3e 100755
--- a/test/T000-basic.sh
+++ b/test/T000-basic.sh
@@ -91,4 +91,9 @@ test_expect_equal \
     "$(dirname ${TEST_DIRECTORY})" \
     "$(echo $PATH|cut -f1 -d: | sed -e 's,/test/valgrind/bin$,,')"
 
+test_begin_subtest 'notmuch is compiled with debugging symbols'
+test_subtest_known_broken
+readelf --sections $(which notmuch) | grep \.debug
+test_expect_equal 0 $?
+
 test_done
-- 
2.1.0

^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2014-10-05  5:33 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-10-03 20:22 [PATCH 1/2] test: check for debug symbols in notmuch David Bremner
2014-10-03 20:22 ` [PATCH 2/2] configure: add debug flags by default David Bremner
2014-10-03 20:49 ` [PATCH 1/2] test: check for debug symbols in notmuch Tomi Ollila
2014-10-05  5:32   ` David Bremner

Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).